Page MenuHomePhabricator

While saving the data to corpora table, remove the corresponding entry from drafts table
Closed, ResolvedPublic

Description

Whenever we save the data to corpora table, remove the corresponding entry from drafts table
This should be done without blocking the the request.

Important: While starting and resuming a translation, the first save should save all sections irrespective of whether it is changed or not to achieve this. Otherwise we will end of with saving some sections alone and deleting the draft.

Event Timeline

santhosh created this task.Feb 3 2016, 4:46 AM
santhosh claimed this task.
santhosh raised the priority of this task from to High.
santhosh updated the task description. (Show Details)
santhosh added subscribers: Unhammer, He7d3r, KuboF and 12 others.
Amire80 moved this task from Needs Triage to CX8 on the ContentTranslation board.Feb 3 2016, 6:05 AM
santhosh removed santhosh as the assignee of this task.Feb 3 2016, 10:54 AM
santhosh set Security to None.
KuboF removed a subscriber: KuboF.Feb 6 2016, 4:47 PM

Change 269364 had a related patch set uploaded (by Santhosh):
While saving the data to corpora table, remove the from drafts table

https://gerrit.wikimedia.org/r/269364

santhosh claimed this task.Feb 9 2016, 5:09 AM
santhosh moved this task from Backlog to In Review on the LE-CX8-Sprint 2 board.

Change 269364 merged by jenkins-bot:
While saving the data to corpora table, remove the from drafts table

https://gerrit.wikimedia.org/r/269364

Nikerabbit moved this task from In Review to QA on the LE-CX8-Sprint 3 board.Feb 26 2016, 5:36 PM
Arrbee moved this task from QA to Done on the LE-CX8-Sprint 3 board.Mar 1 2016, 7:07 AM
Arrbee closed this task as Resolved.Mar 4 2016, 6:48 AM